<!DOCTYPE html>
<html>
<head><title>Sign Up Page</title></head>
<style>
    h1{
      padding : 20px
    }
    p{
      margin : 15px
    }
  </style>
<body>
{% block content %}
<h1><u>Sign up</u></h1>

{% if messages %}
<ul class="messages">
    {% for message in messages %}
    <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
    {% endfor %}
</ul>
{% endif %}

  <form action = "/signup/" method="post" onsubmit="return checkEmpty()">
    {% csrf_token %}
    <p>Username: <input type = "text" name="newusername" id="username" autocomplete="off" type="hidden"></p>
    <p>Password: <input type = "password" name="newpassword" id="password" autocomplete="off" type="hidden"></p>
    <p>Confirm Password: <input type = "password" name="confirmpassword" id="confirmpassword" autocomplete="off" type="hidden"></p>

    <p><input type="submit" value="signup"> </p>
  </form>
  <p><button><a href="{% url 'index' %}"><b>Cancel</b></a></button></p>

{% endblock %}


<script>
    function checkEmpty(){
      var input_username = document.getElementById('username');
      var input_password = document.getElementById('password');
      var input_confirmpassword = document.getElementById('confirmpassword');

      if (input_username.value == "" || input_password.value == "" || input_confirmpassword.value == ""){
        alert("Please field in all requirement information.");
        return false;
        }

      else if( input_password.value != input_confirmpassword.value ){
        alert("Password entered is different with comfirm password");
        return false;
        }
      else{
        return true;
        }
    }
</script>
</body>
</html>